suil-devel-0.10.0-lp150.22.1.x86_64.rpm


Advertisement

Description

suil-devel - Development files for the suil library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Apps all
Package name suil-devel
Package version 0.10.0
Package release lp150.22.1
Package architecture x86_64
Package type rpm
Installed size 9.63 KB
Download size 15.10 KB
Official Mirror ftp.gwdg.de
Development files needed to build applications against suil library.

Alternatives

Package Version Architecture Repository
suil-devel-0.10.0-lp150.21.1.x86_64.rpm 0.10.0 x86_64 openSUSE Multimedia Libs
suil-devel-0.10.0-lp150.2.1.x86_64.rpm 0.10.0 x86_64 openSUSE Oss
suil-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libsuil-0-0 = 0.10.0
pkgconfig -

Provides

Name Value
pkgconfig(suil-0) = 0.10.0
suil-devel = 0.10.0-lp150.22.1
suil-devel(x86-64) = 0.10.0-lp150.22.1

Download

Type URL
Binary Package suil-devel-0.10.0-lp150.22.1.x86_64.rpm
Source Package suil-0.10.0-lp150.22.1.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Apps repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/apps/openSUSE_Leap_15.0/ opensuse-multimedia-apps
  2. Install suil-devel rpm package:
    # zypper install suil-devel

Files

Path
/usr/include/suil-0/
/usr/include/suil-0/suil/suil.h
/usr/lib64/libsuil-0.so
/usr/lib64/pkgconfig/suil-0.pc

Changelog

2018-02-18 - jengelh@inai.de
- Fix SRPM group.
2018-02-15 - aloisio@gmx.com
- Fixed supplements lines
2018-02-14 - aloisio@gmx.com
- Update to version 0.10.0
* Add support for X11 in Gtk3
* Add support for Qt5 in Gtk2
* Add suil_init() to support early initialization and passing
any necessary information that may be needed in the future
(thanks Stefan Westerfeld)
* Fix minor memory errors
* Fix building with X11 against custom LV2 install path (thanks
Robin Gareus)
version 0.8.4
* Configure based on compiler target OS for cross-compilation
* Add Cocoa in Gtk wrapper (patch from Robin Gareus)
* Various Windows fixes (patches from Robin Gareus)
* Center X11 UIs in Gtk (patch from Robin Gareus)
* Fix initial size of resizable X11 UIs in Gtk (patch from
Robin Gareus)
* Bubble X11 key events up to Gtk parent (patch from Filipe
Coelho)
* Add Gtk2 and X11 in Qt5 wrappers (patch from Rui Nuno Capela)
* Fix compilation with -Wl,--no-undefined
* Fix a few minor/unlikely memory errors
* Gracefully handle failure to open wrapper
* Only report suil_ui_supported() if necessary wrapper is
compiled in
* Upgrade to waf 1.8.14
- Dropped qt4 plugins
- Split plugins into separate packages so that only actually
required libraries are pulled in
2015-12-12 - davejplater@gmail.com
- Packaged plugin modules in plugins package
2014-08-09 - Rui Nuno Capela <rncbc@rncbc.org> - 0.8.2-10
- New upstream release.
suil (0.8.2) stable;
* Fix embedding several Qt UIs in Gtk
* Add configure options to disable all Gtk or Qt support
* Upgrade to waf 1.7.16

See Also

Package Description
suil-plugin-gtk2-in-qt5-0.10.0-lp150.22.1.x86_64.rpm Shared object for GTK2 hosts displaying Qt5 LV2 GUIs
suil-plugin-qt5-in-gtk2-0.10.0-lp150.22.1.x86_64.rpm Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
suil-plugin-x11-0.10.0-lp150.22.1.x86_64.rpm Shared object for X11 LV2 GUIs
suil-plugin-x11-in-gtk2-0.10.0-lp150.22.1.x86_64.rpm Shared object for GTK2 hosts displaying X11 LV2 GUIs
suil-plugin-x11-in-gtk3-0.10.0-lp150.22.1.x86_64.rpm Shared object for GTK3 hosts displaying X11 LV2 GUIs
suil-plugin-x11-in-qt5-0.10.0-lp150.22.1.x86_64.rpm Shared object for Qt5 hosts displaying X11 LV2 GUIs
supercollider-3.8.0-lp150.2.11.x86_64.rpm Programming environment for audio synthesis and composition
supercollider-ambiem-3.6-lp150.2.3.noarch.rpm Ambisonics classes for SuperCollider
supercollider-cruciallib-3.6-lp150.2.3.noarch.rpm Higher level interfaces for managing musical objects
supercollider-devel-3.8.0-lp150.2.11.x86_64.rpm Development files for SuperCollider
supercollider-dewdrop-3.6-lp150.2.3.noarch.rpm DewDrop external collection for SuperCollider
supercollider-emacs-3.8.0-lp150.2.11.x86_64.rpm SuperCollider support for Emacs
supercollider-gedit-3.8.0-lp150.2.11.x86_64.rpm SuperCollider support for GEdit
supercollider-mathlib-3.6-lp150.2.3.noarch.rpm Useful classes for SuperCollider
supercollider-quarks-3.6-lp150.2.3.noarch.rpm Local Quarks repository for SuperCollider
Advertisement
Advertisement